Subject: Re: [PATCH] describe-doc: clarify default length of abbreviation

From: Junio C Hamano <[email-masked]>
Date: Sun, 16 May 2021 21:58:03 +0900

Anders Höckersten <[email-masked]> writes:

> The explanation was mostly copied from the 2.11.0 release notes,
> but mentioning the birtday paradox is unnecessary. I suggest
> changing this sentence to: "The length of the abbreviation scales
> as the repository grows using the approximate number of objects in
> the repository, and by default the minimum length is 7."

Heh.  In my priate review, I said that I very much liked the way the
new description was phrased with "a bit of math around the birthday
paradox".  Now I know why I liked that phrasing---it turns out to be
my own ;-)

I don't mind with or without mention of the birthday math.  Thanks
for working on this.